Get Server Configs

Get Server Configs
Get server configs

Get server configs

Request
URI
GET
https://{api_host}/suite-api/api/whatif/serverconfigs
COPY
Query Parameters
string
clusterId
Optional

clusterId

boolean
isHci
Optional
Constraints: default: false

isHci

integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 1000

Expected number of entries per page


Authentication
This operation uses the following authentication methods.
Responses
200

List of server configs

Returns WhatIfScenarioDetailedServerConfigs of type(s) application/json
"{\n  \"detailedServerConfigs\" : [ {\n    \"id\" : \"f4d9a9ee-dfac-4e8c-a402-2b200674db00\",\n    \"cpuInGhz\" : 2222.0,\n    \"memoryInGb\" : 512.0,\n    \"storageInGb\" : 512.0,\n    \"coresCount\" : 4,\n    \"socketsCount\" : 2,\n    \"costPerServer\" : 5500.0,\n    \"make\" : \"Intel\",\n    \"cpuModel\" : \"Xeon2.2\",\n    \"model\" : \"Xeon\",\n    \"year\" : \"2020\"\n  } ]\n}"
array of object
detailedServerConfigs
Optional

List of detailed server configs

array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/whatif/serverconfigs